package SrvMngr::I18N::Modules::Ddclient::en;
use strict;
use warnings;
use utf8;
use Mojo::Base 'SrvMngr::I18N';

use SrvMngr::I18N::Modules::General::en;

my %lexicon = (
'ddc_FORM_TITLE' => 'Create, remove or change the publication of virtual domains',
'ddc_Params_for_IP_Retrieval'=>' Parameters to control how the IP of your server is found:',
'ddc_DESCRIPTION'=> 'Use this contrib when you have a sme server connected to a ISP service using a dynamic IP, and you wish to host multiple domains.
<br>ddclient is a client for updating dynamic DNS entries for domains hosted at different DNS providers.
<br>Configure your dynamic host domains via the ddclient server manager panel.
<br>ddclient can be used on servers configured in server gateway mode or in server only mode.<br>
SmeServer documentation:<a href="https://wiki.contribs.org/Ddclient">https://wiki.contribs.org/Ddclient</a>',
'ddc_FORM_DESCRIPTION' => 'Virtual Domains for publication on the net:',
'ddc_NO_VIRTUAL_DOMAINS' => 'There are no virtual domains in the system.',
'ddc_CURRENT_LIST_OF_DOMAINS' => 'Current list of virtual domains',
'ddc_PUBLICATION' => 'Publication',
'ddc_PRIMARY_SITE' => 'Primary Site',
'ddc_CONTENT' => '[_1] i-bay',
'ddc_CREATE_TITLE' => 'Create a new publication virtual domain',
'ddc_SERVERS_LABEL' => 'Where to publish',
'ddc_MX' => 'record MX',
'ddc_NAME_LABEL' => 'Login to publish',
'ddc_PASSWORD_LABEL' => 'Password to publish',
'ddc_CONTENT_FIELD_DESCRIPTION' => 'For the web site, you may choose your primary web site or any i-bay as the content.',
'ddc_DOMAIN_NAME_VALIDATION_ERROR' => 'Error: unexpected or missing characters in domain name [_1].  The domain name should contain one or more letters, numbers, periods and minus signs.  Did not create new domain.',
'ddc_DOMAIN_DESCRIPTION_VALIDATION_ERROR' => 'Error: unexpected or missing characters in domain description [_1].  Did not create new domain.',
'ddc_DOMAIN_IN_USE_ERROR' => 'Error: domain [_1] is already in use.  Did not create  new domain.',
'ddc_DOMAIN_LOGIN_VALIDATION_ERROR'=> 'Domain login must not be blank and only consist of letter, numbers, "." or "@"',
'ddc_RESERVED_SECURE_DOMAIN_ERROR' => 'Error: domain [_1] is reserved to provide a secured webserver for the virtual domain [_2].  Did not create new domain.',
'ddc_SYSTEM_DOMAIN_ERROR' => 'Error: domain [_1] is your system domain name.  You cannot have a virtual domain with the same name.  Did not create new domain.',
'ddc_RESERVED_SECURE_SYSTEM_DOMAIN_ERROR' => 'Error: domain [_1] is reserved to provide a secured webserver for your system domain name [_2].  Did not create new domain.',
'ddc_SUCCESSFULLY_CREATED' => 'Successfully publication domain [_1] on [_2].',
'ddc_MODIFY_TITLE' => 'Modify virtual domain',
'ddc_NONEXISTENT_DOMAIN_ERROR' => 'Error: [_1] is not an existing domain.',
'ddc_SUCCESSFULLY_MODIFIED' => 'Successfully modified the publication [_1] on [_2].',
'ddc_REMOVE_TITLE' => 'Remove publication of virtual domain',
'ddc_REMOVE_DESCRIPTION' => '<p>You are about to remove the publication of domain [_1] ([_2]) on [_3].  
</p>
<p>
<b>Are you sure you wish to remove this domain\'s publication ?</b>
</p>
',
'ddc_ERROR_WHILE_REMOVING_DOMAIN' => 'Error: internal failure while removing publication of [_1].',
'ddc_SUCCESSFULLY_DELETED' => 'Successfully deleted publication of [_1] on [_2].',

'ddc_DYNDNS1' => 'dyndns.org dynamic addresses',
'ddc_DYNDNS2' => 'dyndns.org static addresses',
'ddc_DYNDNS3' => 'dyndns.org custom addresses',
'ddc_ZONEDIT' => 'ZoneEdit (zoneedit.com)',
'ddc_EASYDNS' => 'EasyDNS (easydns.com)',
'ddc_HAMMER' => 'Hammernode (hn.org) dynamic addresses',
'ddc_DSLREPORTS' => 'dslreports.com dynamic-host monitoring',
'ddc_EURODYNDNS' => 'eurodyndns.org dynamic addresses',
'ddc_DTDNS' => 'DtDNS (www.dtdns.com) dynamic addresses',
'ddc_LOOPIA' => 'Loopia (loopia.se) dynamic addresses',
'ddc_DNSPARK' => ' Dnspark (dnspark.com) dynamic addresses',
'ddc_DYNHOST' => ' DynHost (ovh.com) dynamic addresses',
'ddc_NOIP' => ' NoIP (noip.com) dynamic addresses',
'ddc_CHANGEIP' => ' ChangeIP (changeip.com) dynamic addresses',
'ddc_NAMECHEAP' => ' NAMECHEAP (namecheap.com) dynamic addresses',
'ddc_SPDNS' => ' SPDNS (spdns.de) dynamic addresses',
'ddc_SITELUTIONS'=>'SITELUTIONS sitelutions.com dynamic addresses',
'ddc_FREEDNS'=>'FREEDNS freedns.afraid.org for details',
'ddc_NSUPDATE'=>'NSUPDATE See nsupdate(1) and ddns-confgen(8) for details ',
'ddc_CLOUDFLARE'=>'CLOUDFLARE www.cloudflare.com/ for details',
'ddc_GOOGLEDOMAINS'=>'GOOGLEDOMAINS www.google.com/domains for details',
'ddc_DUCKDNS'=>'DUCKDNS duckdns.org for details',
'ddc_FREEMYIP'=>'FREEMYIP freemyip.com for details',
'ddc_WOIMA'=>'WOIMA woima.fi for details',
'ddc_YANDEX'=>'YANDEX domain.yandex.com for details',
'ddc_DNSMADEEASY'=>'DNSMADEEASY dnsmadeeasy.com for details',
'ddc_DONDOMINIO'=>'DONDOMINIO www.dondominio.com for details',
'ddc_NEARLYFREESPEECH'=>'NFSN www.nearlyfreespeech.net/services/dns for details',
'ddc_OVH'=>'OVH www.ovh.com for details',
'ddc_CLOUDNS'=>'CLOUDNS www.cloudns.net',
'ddc_CUSTOMDNS' => 'Custom Dynamic DNS Provider',
'ddc_CUSTOMDNS_LABEL' => 'Custom server Address',
'ddc_CUSTOM_PROTOCOL_LABEL' => 'Custom ddclient Protocol',
'ddc_CUSTOM_DESCRIPTION' => 'You can use a custom dynamic dns provider if yours is not in the published list. Please fill the custom fields with the appropriate settings',
'ddc_CUSTOMDNS_VALIDATION_ERROR' => 'Error: unexpected or missing characters in custom server address field of domain  [_1].  The server address should contain one or more letters, numbers, periods and minus signs.  Did not apply the change.',
'ddc_ddclient' =>'Dynamic Clients',
'ddc_DOMAIN_NAME_ALREADY_EXIST' => 'Error: this domain:"[_1]" already exists. Please chose another.',
'ddc_FREE_FORM_DESCRIPTION' => 'Here you can create any domain name to publish over the net:',
'ddc_RETRIEVE_SSL' => 'SSL update',
'ddc_RETRIEVE_DEAMONUPDATE' => 'Deamon update (seconds)',
'ddc_RETRIEVE_URLCHECKIP' => 'Url for the external IP',
'ddc_APPLY' => 'Save',
'ddc_DOMAIN_NAME_LABEL' => 'Domain Name',
'ddc_DESCRIPTION_LABEL' => 'Domain description',
'ddc_SUCCESSFULLY_MODIFIED_RETRIEVE_IP' => 'You have successfully modified the retrieve IP options.',
'ddc_RETRIEVE_METHOD' => 'Method to retrieve new IP:',
'ddc_RETRIEVE_IF' => 'Local interface to get new IP, if selected interface method',
'ddc_RETRIEVE_CMD' => 'Command to execute to get IP, if selected command method',
'ddc_SME external Interface' => 'SME external interface',
'ddc_SME configuration DB' => 'SME configuration DB',
'ddc_web' => 'Web query',
'ddc_Interface' => 'IP from interface',
'ddc_IP' => 'Manual IP setting',
'ddc_Command' => 'Command to execute',
'ddc_RETRIEVE_IP' => 'IP to manually force'
);

our %Lexicon = (
	%{ SrvMngr::I18N::Modules::General::en::Lexicon },
	%lexicon
);


1;
